package com.caimei.www.pojo.page;

import com.caimei.www.pojo.order.LadderPrice;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/7/8
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ProductDetail extends ProductList {
	private Integer minBuyNumber;
	private Integer stock;
    private Integer step;
    private Integer recommendType;
    private Integer validFlag;
	private String productCode;
	private String tags;
	private String[] tagList;
	private String remarks;
	/** 详情 */
	private String detailInfo;
	private String orderInfo;
	private String serviceInfo;
	/** 品牌 */
    private Integer brandId;
	private String brandName;
	/** 分类 */
    private Integer tinyTypeId;
	private String tinyTypeText;
    private Integer smallTypeId;
	private String smallTypeText;
    private Integer bigTypeId;
	private String bigTypeText;
	/** 供应商 */
    private Integer shopId;
	private String shopTitle;
	private String businessScope;
	private String shopAddress;
	/** 活动状态：1有效，0失效 */
	private Integer activityFlag;
	/** 启用阶梯价格标识：1是，0否  */
	private Integer ladderFlag;
	/** 阶梯价 */
	List<LadderPrice> ladderPrices;
}
